%define momorel 2

Name:		dosemu
License:	GPL
Group:		Applications/Emulators
Requires:	mtools, binutils
Version:	1.1.99.1
Release:    %{momorel}m
Summary:	The DOS emulator
Source0:	http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz
NoSource: 0
Source1:	http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-freedos-bin.tgz
NoSource: 1
Url:		http://www.dosemu.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
This package allows MS-DOS programs to be started in Linux. A virtual
machine (the DOS box) provides the necessary BIOS functions and emulates
most of the chip devices (e.g. timer, interrupt- and keyboard controler).
Documentation can be found in '/usr/share/doc/packages/dosemu' and in the man
page, as well as in the sources.
Starting with version 1.0.2 DOSEMU configuration files are no longer
below /etc but in the user's HOME directory below ~/dosemu. DOSEMU
does no longer have the SUID bit set, so if you need access to hardware
that requires root privileges, you must run DOSEMU as 'root'.
If you rely on the old configuration scheme, you can get it back
by using 'dosemu.bin' instead of 'dosemu' ('dos' and 'xdos' have
been renamed to 'dosemu' resp. 'xdosemu').
The parameter $_hogthreshold in '~/dosemu/conf/dosemu.conf' defines how often
an 'idling' DOSEMU should return the CPU to Linux and its default value
'(1)' means 'all power to Linux'. The higher this value is, the more
more CPU power is dedicated to DOSEMU. The value '(0)' disables this
feature completely, hence: 'all power to DOSEMU'. If that isn't fast enough,
you (running UID root) can get maximum performance with
nice -19 dos -D-a 2>/dev/null
Don't be surprised though if the other Linux processes then run very
sluggishly.
On sensitive systems you _never_ should offer a suid-root DOSEMU world
readable, because even if the '$_secure' option in dosemu.conf is set,
its not avoidable that some DPMI-clients (most likely Dos4gw based ones)
may succeed in accessing the whole user space (including DOSEMU code)
and thus gain root access. A comfortable solution is to have two copies
of the DOSEMU binary, a non-suid-root one for world access and a
suid-root one (protected by file permissions) only available to trusted
users.

Authors:
--------
    Eric Biederman <ebiederm+eric@nwpt.net>
    Michael E. Deisher <deisher@enws99.EAS.ASU.EDU>
    James B. Maclean <macleajb@ednet.ns.ca>
    Mike Batchelor <mikebat@netcom.com>
    Lam Lai Yin <lam836@cs.cuhk.hk>
    Uwe Bonnes <bon@elektron.ikp.physik.th-darmstadt.de>
    Scott Buchholz <scottb@eecs.nwu.edu>
    J. Lawrence Stephan <jlarry@ssnet.com>
    John Davis <davis@space.mit.edu>
    David Etherton <etherton@netcom.com>
    Pasi Eronen <peronen@vipunen.hut.fi>
    Jason E Gorden <gorden@jegnixa.hsc.missouri.edu>
    Matthew Grant <grantma@ritz.equinox.gen.nz>
    David Hansen <dhansen@metapath.com>
    Jochen Hein <Hein@Informatik.TU-Clausthal.de>
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    John Kohl <jtk@atria.com >
    Rob Janssen <pe1chl@rabo.nl>
    Karl Kiniger <ki@kretz.co.at>
    Harald Koenig <koenig@nova.tat.physik.uni-tuebingen.de>
    Vinod G Kulkarni <vinod@cse.iitb.ernet.in>
    Kang-Jin Lee <lee@tengu.in-berlin.de>
    Kevin P Lawton <bochs@world.std.com>
    Marty Leisner <leisner@sdsp.mc.xerox.com>
    Hans Lermen <lermen@suse.de>
    Dong Liu <dliu@faraday-gw.njit.edu>
    Tim Van der Linden <timvdl@innet.be>
    Martin Ludwig <Martin.Ludwig@ruba.rz.ruhr-uni-bochum.de>
    Alistair MacDonald <alistair@slitesys.demon.co.uk>
    Amit Margalit <amitm@netvision.net.il>
    Lawrence K Mao <lkmao@unf.edu>
    Rod May <stoke@melbourne.DIALix.oz.au>
    WAYNE P MEISSNER <n1046128@student.fit.qut.edu.au>
    Lutz Molgedey <lutz@summa.physik.hu-berlin.de>
    Erik Mouw <jakmouw@et.tudelft.nl>
    Christoph Niemann <Christoph.Niemann@linux.org>
    Max Parke <mhp@light.lightlink.com>
    Mark Rejhon <mdrejhon@magi.com>
    Ronnie <ronnie@epact.se>
    Robert Sanders <gt8134b@prism.gatech.edu>
    Ed Sirett <ed@cityscape.co.uk>
    Larry Stephan <jlarry@ssnet.com>
    Corey Sweeney <corey@bbs.xnet.com>
    Andrew Tridgell <Andrew.Tridgell@anu.edu.au>
    Theodore Ts'o <tytso@mit.edu>
    Steffen Winterfeldt <wfeldt@suse.de>
    Matthias Lautner
    Tim Bird
    Joel N. Weber II

%prep
%setup -q 

perl -p -i -e "s,-m486,-march=i486," base-configure
perl -p -i -e "s,-malign,-falign,g" base-configure

%build
ln -s %{_sourcedir}/dosemu-freedos-bin.tgz dosemu-freedos-bin.tgz
./default-configure --prefix=%{_prefix} --mandir=%{_mandir} --with-slangdir=.
./mkpluginhooks enable slang yes
ln -sf ../../plugin/slang/include/slang.h src/plugin/include/slang.h
make LIBS="-lXxf86vm -lXext -lX11 -lm -ldl"

%install
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=%{buildroot} install

%clean
  rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_bindir}/xdosemu
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/xdosemu.1*
%{_mandir}/ru/man1/mkfatimage16.1*
%{_mandir}/ru/man1/dosdebug.1*
%{_mandir}/ru/man1/dosemu.1*
%{_mandir}/ru/man1/dosemu.bin.1*
%{_mandir}/ru/man1/xdosemu.1*
%{_datadir}/dosemu/freedos
%{_datadir}/dosemu/dosemu-bin.tgz
%{_datadir}/dosemu/dosemu-freedos-bin.tgz
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%doc %{_datadir}/doc/dosemu/README.bindist
%doc %{_datadir}/doc/dosemu/README.txt
%doc %{_datadir}/doc/dosemu/README-tech.txt
%doc %{_datadir}/doc/dosemu/dosemu-HOWTO.txt
%doc %{_datadir}/doc/dosemu/sound-usage.txt
%doc %{_datadir}/doc/dosemu/announce
%doc %{_datadir}/doc/dosemu/EMUfailure.txt
%doc %{_datadir}/doc/dosemu/NOVELL-HOWTO.txt
%doc %{_datadir}/doc/dosemu/README.gdb
%doc %{_datadir}/doc/dosemu/DANG.txt
%config %{_sysconfdir}/dosemu/dosemu.conf
%config %{_sysconfdir}/dosemu/drives/c
%{_sysconfdir}/dosemu/dosemu.users.example
%{_sysconfdir}/dosemu/global.conf.example

%changelog
* Thu Oct  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.99.1-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Oct  3 2003 Toru Hoshina <t@momonga-linux.org>
- (1.1.99.1-1m)
- Major update.

* Sat Feb  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.2.1-2m)
  added clean section.

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.2.1-1m)
  Imported

* Mon Dec 10 2001 - snwint@suse.de
- make it work with Pentium 4 cpus
* Mon Sep 17 2001 - snwint@suse.de
- fixed invalid include in dosdebug manpage (#10689)
* Fri Aug 24 2001 - snwint@suse.de
- fixed X11 shared memory extension usage
- allow dosemu to be run with suid bits on (if someone wishes so)
* Thu Jul 19 2001 - snwint@suse.de
- updated to new version
* Thu May 10 2001 - snwint@suse.de
- mtools options have changed (#6509, #6728)
* Fri Mar 30 2001 - uli@suse.de
- fixed to build
* Tue Mar 27 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Jan 18 2001 - snwint@suse.de
- workaround in spec as $RPM_DOC_DIR still points to /usr/doc/packages
* Thu Nov 16 2000 - ro@suse.de
- fixed spec
* Tue Jul 11 2000 - snwint@suse.de
- updated to 1.0.1
* Wed Mar 08 2000 - bs@suse.de
- made %%post more friendly.
* Tue Mar 07 2000 - snwint@suse.de
- version 1.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - snwint@suse.de
- added "/var/lock" to dosemu.conf
* Sat Jul 10 1999 - snwint@suse.de
- updated to 0.98.8
* Fri Jul 09 1999 - snwint@suse.de
- added latest patchset from Hans, it should now be nearly a 98.8 release
- fixed %%post/%%postun failing without X
* Sun Jun 27 1999 - snwint@suse.de
- applied quite a few fixes
- hdimage no longer used
* Fri Mar 26 1999 - ke@suse.de
- security fix (thanks to lermen).
* Tue Mar 23 1999 - ke@suse.de
- fix typo (thanks to lermen).
* Mon Mar 22 1999 - ke@suse.de
- Update to 0.98.6 (more serurity fixes...).
* Wed Feb 24 1999 - ke@suse.de
- fix bash quoting specials (thanks to lermen).
* Sat Jan 16 1999 - bs@suse.de
- Update to 0.98.5 - security.dif is not neccessary anymore, since dosemu
  comes with recent slang.
* Fri Jan 08 1999 - ke@suse.de
- apply patch actually, sigh...
* Thu Jan 07 1999 - ke@suse.de
- Add security patch (provided by lermen).
- neededforbuild: Add slang.
* Sat Dec 12 1998 - bs@suse.de
- Update to dosemu 0.98.4
* Thu Nov 26 1998 - bs@suse.de
- deleted double entry for %%files
* Thu Nov 26 1998 - ke@suse.de
- remove "/" from inst scripts.
* Tue Nov 17 1998 - bs@suse.de
- Update to 0.98.3
* Tue Aug 18 1998 - ke@suse.de
- mkdexe: add security patch (marc and werner).
* Thu Jul 23 1998 - werner@suse.de
- Use mktemp
* Thu Jul 16 1998 - werner
- change some shell scripts to avoid tmp exploits
* Wed Jul 08 1998 - ke@suse.de
- add additional security patches (Alan Cox).
- #neededforbuild: add libz.
* Wed Jun 24 1998 - ke@suse.de
- add security patch (provided by Hans Lermen).
* Wed Oct 08 1997 - ro@suse.de
- ready for abuild
  packed fallout.dexe into fallout.tgz for rpm reasons :-)
  removed /var/lob/dosemu/etc/keymap/README from spec-filelist
  (was not in binlist anyway)
* Fri Jul 04 1997 - lermen@suse.de
  upgrade to final dosemu-0.66.7
* Mon Jun 16 1997 - lermen@suse.de
  upgrade to final dosemu-0.66.6
  added 'ttylocks { directory /var/lock }' to /etc/dosemu.conf
* Fri Jun 06 1997 - bs@suse.de
- removed usr/X11R6/lib/X11/fonts/misc/fonts.dir
* Wed Jun 04 1997 - ro@suse.de
  comiled for binary package
* Sat May 31 1997 - lermen@suse.de
  upgrade to final dosemu-0.66.5
* Mon May 19 1997 - lermen@suse.de
  upgrade to (pre-) dosemu-0.66.5
* Thu Feb 13 1997 - bs@suse.de
  added dosnet.README.
* Mon Feb 10 1997 - bs@suse.de
  new version 0.64.4
  NEW: no more emumodule. All needed stuff is included in Kernel >= 2.0.28
* Thu Jan 02 1997 - werner@suse.de
  added cleanup for /var/run in /sbin/init.d/dosemu.
* Thu Jan 02 1997 - bs@suse.de
  new version 0.64.1.
  syscallmgr does not exist anymore.
* Thu Jan 02 1997 - bs@suse.de
  recompiled for kernel 2.0.25.
* Thu Jan 02 1997 - bs@suse.de
  font placement fixed
* Thu Jan 02 1997 - bs@suse.de
  new version 0.64.0.2
